using System;

internal sealed class Delegate498 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate498 delegate498_1)
	{
		return delegate498_1(object_0);
	}

	public extern Delegate498(object object_0, IntPtr intptr_0);

	static Delegate498()
	{
		Class10.smethod_13(typeof(Delegate498).TypeHandle);
	}

	internal static Delegate498 delegate498_0;
}
